import 'package:json_annotation/json_annotation.dart';

part 'analyze_choice_item_delta.g.dart';

/// 识图回复-选择项-内容
@JsonSerializable()
class AnalyzeChoiceItemDelta {
  /// 角色
  @JsonKey(name: "role")
  String? role;

  /// 回复内容
  @JsonKey(name: "content")
  String? content;

  AnalyzeChoiceItemDelta(this.role, this.content);

  factory AnalyzeChoiceItemDelta.fromJson(
    Map<String, dynamic> json,
  ) => _$AnalyzeChoiceItemDeltaFromJson(json);

  Map<String, dynamic> toJson() =>
      _$AnalyzeChoiceItemDeltaToJson(this);
}
